Skip to content

Get CPMS

GET
/tenant/{tenant}/cpms/{cpmsId}
curl --request GET \
--url https://api.exolink.cloud/tenant/example/cpms/1 \
--header 'Authorization: Bearer <token>'

Get details of a specific CPMS backend

tenant
required
string
cpmsId
required
integer

CPMS details

Media typeapplication/json
object
id

Unique identifier for the CPMS backend

integer
tenantId

ID of the tenant that owns this CPMS backend

integer
displayName

User-friendly name for the CPMS backend

string
url

WebSocket URL endpoint for the CPMS backend connection

string
authPassThrough

Indicates whether authentication credentials are passed through to the CPMS backend

boolean
interval

Heartbeat or connection check interval in seconds

number
createdAt

Timestamp when the CPMS backend record was created

string
updatedAt

Timestamp when the CPMS backend record was last updated

string
deletedAt

Timestamp when the CPMS backend record was soft-deleted (null if active)

string
Example
{
"id": 1,
"tenantId": 1,
"displayName": "My Charger",
"url": "ws://cpms.exolink.com",
"authPassThrough": true,
"interval": 30,
"createdAt": "2025-10-15T15:19:50.834Z",
"updatedAt": "2025-10-15T15:19:50.834Z",
"deletedAt": "2025-10-15T15:19:50.834Z"
}